function [ok]=checkabsreqs(stimnummer,celladress,stimnummercell,absolutreqs,dim,paramat)
%   This software is protected by german copyright and international treaties.             
%   Copyright 2004 Markus Junghöfer & Peter Peyk. All Rights Reserved.                     
%                                                                                          
%   THIS SOFTWARE AND DOCUMENTATION IS PROVIDED "AS IS," AND COPYRIGHT HOLDERS MAKE        
%   NO REPRESENTATIONS OR WARRANTIES, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO,    
%   WARRANTIES OF MERCHANTABILITY OR FITNESS FOR ANY PARTICULAR PURPOSE OR THAT THE USE    
%   OF THE SOFTWARE OR DOCUMENTATION WILL NOT INFRINGE ANY THIRD PARTY PATENTS, COPYRIGHTS,
%   TRADEMARKS OR OTHER RIGHTS. COPYRIGHT HOLDERS WILL NOT BE LIABLE FOR ANY DIRECT,       
%   INDIRECT, SPECIAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF ANY USE OF THE SOFTWARE      
%   OR DOCUMENTATION.                                                                      

%applymat :   reqnumber; 
applymat=[];
u=1;
k=size(absolutreqs,1);
for x=1:k
     if ~isempty(absolutreqs{x,3})
        if celladress==absolutreqs{x,3}
                applymat(u,1)= x;
                u=u+1;
        end
     end
end

ok=1;
%absolute Bedingungen prüfen
if ~isempty(applymat)
  for t=1:length(applymat)
      for dimzaehler=1:length(dim)
         if ~isempty(findstr(dim{dimzaehler},absolutreqs{applymat(t,1),4}))
             dimnummer=dimzaehler;
         end
      end
      evalstring=[num2str(paramat(stimnummer,dimnummer)),absolutreqs{applymat(t,1),5},num2str(absolutreqs{applymat(t,1),2})];
      if ~eval(evalstring)               
         ok=0;
      end
   end
end

return;
            
